Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Member Functions | Protected Member Functions | Friends | Related Functions | List of all members
LatCommon::Weights Class Referenceabstract

Abstract weights class. More...

`#include <Weights.h>`

Inherited by LatBuilder::CombinedWeights, LatCommon::OrderDependentWeights, LatCommon::PODWeights, LatCommon::ProductWeights, LatCommon::ProjectionDependentWeights, and LatCommon::UniformWeights.

## Public Member Functions
virtual | ~Weights ()
| Destructor.
virtual Weight | getWeight (const Coordinates &projection) const =0
| Returns the weight of the projection specified by `projection`.

## Protected Member Functions
virtual void | format (std::ostream &os) const =0
| Identifies the type of weights, formats them and outputs them on `os`. More...

## Friends
std::ostream & | operator<< (std::ostream &out, const Weights &o)

## Related Functions
(Note that these are not member functions.)
std::ostream & | operator<< (std::ostream &os, const Weights &o)

## Detailed Description

Abstract weights class.

This abstract class is the basis for different kinds of weights used to accentuate the importance given to some projections when computing figures of merit for lattices or point sets.

## Member Function Documentation

virtual void LatCommon::Weights::format | ( | std::ostream & | os | ) | const
| protected pure virtual

Identifies the type of weights, formats them and outputs them on `os`.

Remarks
  Deriving classes should identify themselves in the output.

Implemented in LatCommon::ProjectionDependentWeights, LatCommon::OrderDependentWeights, LatCommon::PODWeights, LatCommon::ProductWeights, LatBuilder::CombinedWeights, and LatCommon::UniformWeights.

Referenced by operator<<().

## Friends And Related Function Documentation

std::ostream & operator<< | ( | std::ostream & | os,
|  | const Weights & | o
| ) |  |
| related

Identifies the type of weights, formats them and outputs them on `os`.

References format().

The documentation for this class was generated from the following file:

- latcommon/include/latcommon/Weights.h